=== debian/changelog ===
ipe (7.2.28-2.1build4) noble; urgency=medium

  * No-change rebuild against libqt6core6t64.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Apr 2024 14:26:08 +0100

ipe (7.2.28-2.1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:31:29 +0000

ipe (7.2.28-2.1build2) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 01:52:52 +0000

ipe (7.2.28-2.1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:57:54 +0000

ipe (7.2.28-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1064142

 -- Lukas Märdian <slyon@debian.org>  Wed, 28 Feb 2024 11:42:44 +0000

ipe (7.2.28-2) unstable; urgency=medium

  [ Steve Robbins ]
  * [e3dcebc] update standards version

 -- Steve M. Robbins <smr@debian.org>  Thu, 24 Aug 2023 22:48:58 -0500

ipe (7.2.28-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [7554cfa] Update watch file.  Remove "Files-Excluded" because new version
    no longer has "build" directory.
  * [d14d391] New upstream version 7.2.28
  * [f8c8598] Rebase patches.  Dropping 0003: ipe now falls back to online
    manual.
  * [8c44fed] Adapt to new upstream.

 -- Steve M. Robbins <smr@debian.org>  Wed, 23 Aug 2023 21:57:07 -0500
