=== debian/control ===
Source: ipe
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Steve M. Robbins <smr@debian.org>
Section: graphics
Priority: optional
Build-Depends: dpkg-dev (>= 1.22.5), sharutils,
               debhelper-compat (= 13),
               doxygen,
               zlib1g-dev,
               qt6-base-dev, qt6-base-dev-tools,
               libqt6svg6,
               libfreetype-dev, libcairo2-dev, libjpeg-dev,
               libpng-dev, liblua5.4-dev, zlib1g-dev,
               libspiro-dev, libgsl-dev, curl, doxygen,
               fonts-urw-base35
Build-Conflicts: libipe1-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/science-team/ipe
Vcs-Git: https://salsa.debian.org/science-team/ipe.git
Homepage: https://ipe.otfried.org/

Package: ipe
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         texlive-latex-base,
         fonts-urw-base35,
         libqt6svg6,
         sensible-utils,
         xdg-utils
Recommends: lua5.4
Suggests: texlive-latex-recommended
Description: drawing editor for creating figures in PDF or PS formats
 Ipe supports making small figures for inclusion into LaTeX
 documents as well as making multi-page PDF presentations
 Ipe's main features are:
  * Entry of text as LaTeX source code. This makes it easy to enter
    mathematical expressions, and to reuse the LaTeX-macros of the main
    document.  In the display text is displayed as it will appear in
    the figure.
  * Produces pure Postscript/PDF, including the text. Ipe converts the
    LaTeX-source to PDF or Postscript when the file is saved.
  * It is easy to align objects with respect to each other (for
    instance, to place a point on the intersection of two lines, or to
    draw a circle through three given points) using various snapping
    modes.
  * Users can provide ipelets (Ipe plug-ins) to add functionality to
    Ipe.  This way, Ipe can be extended for each task at hand.
  * The text model is based on Unicode, and has been tested with Korean,
     Chinese, and Japanese.
 .
 Package lua5.3 is recommended if using Ipe with LaTeX.
 .
 Package texlive-latex-recommended enables unicode text entry (for
 accented characters).

Package: libipe7.2.28t64
Provides: ${t64:Provides}
Replaces: libipe7.2.28
Breaks: libipe7.2.28 (<< ${source:Version})
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Ipe library used by ipelets
 This package provides a library used by Ipe and its extensions.
 Ipelets are plug-ins for Ipe that are used to add functionality to
 Ipe.
 .
 Ipe is the drawing editor for creating figures in PDF or PS formats.

Package: libipe-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libipe7.2.28t64 (= ${binary:Version})
Conflicts: libipe1-dev
Replaces: libipe1-dev
Description: Ipe library used by ipelets (developer files)
 This package provides static libraries and include files needed to
 create Ipelets, plug-ins for Ipe that are used to add functionality
 to Ipe.
 .
 Ipe is the drawing editor for creating figures in PDF or PS formats.
