=== debian/rules ===
#!/usr/bin/make -f

export IPEPREFIX=/usr
export INSTALL_ROOT=$(shell pwd)/debian/tmp

IPEVER = 7.2.28t64

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Tell qtchooser which version we want.
export QT_SELECT=qt6

%:
	dh $@ --sourcedirectory=src

build-arch: debian/ipetoipe docs

docs:
	make -C src documentation
	mkdir -p build/doc
	touch build/doc/manual-is-online

override_dh_install:
	dh_install
	dh_install -plibipe$(IPEVER) debian/tmp/usr/lib/lib*.so.* usr/lib

override_dh_link:
	dh_link
	dh_link usr/share/ipe/$(IPEVER)/doc usr/share/doc/ipe/doc

# TODO: install and use wrapper to avoid issue #405294.
# Needs work: the real executable must be renamed.
debian/ipetoipe: debian/ipetoipe.sh
	sed < $< > $@ -e 's,xIPELIBDIRx,/usr/bin,'
	chmod +x $@
