=== debian/watch ===
version=4

opts="dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1" \
  https://github.com/otfried/ipe/tags .*/v@ANY_VERSION@.tar.gz debian uupdate
