=== debian/changelog ===
ipe (7.2.30-1build1) oracular; urgency=medium

  * Rebuild against new libgsl28.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 30 Jul 2024 08:42:06 +0200

ipe (7.2.30-1) unstable; urgency=medium

  [ Pino Toscano ]
  * [00aff02] Drop the Debian menu file
  * [98e577d] Remove unused ipe.desktop file, not shipped for 14 years

  [ Steve Robbins ]
  * [44f6f35] New upstream version 7.2.30
  * [abf8117] Add build-dep dpkg-dev (>= 1.22.5), from 64-bit time_t transition
    change (#1064142).  The rest of the renaming is not required since library
    package SO name is changing to 7.2.30.
  * [cb87672] Change package names for new SO version 7.2.30.

 -- Steve M. Robbins <smr@debian.org>  Sat, 08 Jun 2024 17:00:58 -0500
