=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: ipe
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Steve M. Robbins <smr@debian.org>
 Section: graphics
 Priority: optional
@@ -55,10 +54,7 @@
  Package texlive-latex-recommended enables unicode text entry (for
  accented characters).
 
-Package: libipe7.2.28t64
-Provides: ${t64:Provides}
-Replaces: libipe7.2.28
-Breaks: libipe7.2.28 (<< ${source:Version})
+Package: libipe7.2.30
 Architecture: any
 Section: libs
 Depends: ${misc:Depends},
@@ -74,7 +70,7 @@
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
-         libipe7.2.28t64 (= ${binary:Version})
+         libipe7.2.30 (= ${binary:Version})
 Conflicts: libipe1-dev
 Replaces: libipe1-dev
 Description: Ipe library used by ipelets (developer files)
